Subject: Re: FvwmWharf(2)

From: "Douglas Straub" <[email-masked]>
Date: Mon, 25 Oct 1999 19:26:09 -0600

-----Original Message-----
From: Tim Phipps <[email-masked]>
To: [email-masked] <[email-masked]>; Douglas Straub
<[email-masked]>
Date: Monday, October 25, 1999 7:59 AM
Subject: Re: FvwmWharf(2)

>Douglas Straub wrote:
>>
>> Hi,
>>     The attachment should(hopefully) contain some changes to the Wharf
>> module.  The
>> attachment should be a tar/gzipped file.  The changes were significant
>> enough for me
>> to send the directory itself rather than patches, and the file is named
>> fvwmWharf2.tar.gz.
>> The significant changes include:
>>     Use fvwmlib parsing functions.
>>     Redid structures to be linked lists instead of arrays.
>>     Commented/Rearranged code.
>>     Added Xdnd support.
>>     Added file browsing script that uses Xdnd.
>>
>This is too much of a change for me to commit.  Could you provide a diff
>that just fixes the Xdnd in the existing FvwmWharf?

Hmmm, I'll look around, but I doubt providing a diff for just Xdnd would be
easy.  I converted
the button infomation storage structure from an array to a linked list, and
that was a pretty
fundamental change.  The original code was(and still is) a mess.  Several of
the drawing functions had code like:
[x+y-y+3].  The parsing code was a real mess with the drag definition
needing to be declared
before the button definition, etc.  I downloaded the AfterStep wharf/zharf,
and it too had been converted
to linked lists.  The current code is pretty stable.  All of the
windomaker/aftertep applets seem to be swallowed
fine.
   I was sort of hoping that a parallel module FvwmWharf2 could be created.
That way
people could examine Wharf2, and if it made the grade, be converted to Wharf
in the future.
I know that this isn't the way that open source is supposed to work and am
sorry for the abuptness of the
change.  I'll see if I have a really old version lying around somewhere.

So speaking of wharf,  I got my sound card to work under linux, and I was
thinking of updating the wharf
sound code.  The current version seems to assume that there is some kind of
sound "daemon" called
ASSound.  Any suggestions about what to do?  Is there a way to send events
to FvwmEvent?  Does anyone
use Wharf and sounds?  Thanks for any input.

Doug

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Tim Phipps <[email-masked]>
Date: Thu, 28 Oct 1999 12:16:57 +0100

Douglas Straub wrote:
> easy.

OK then but a diff of whatever changes you want is much better than just
a new set of files. Someone has to do it and it's better if it is
someone who understands the new code.

> people could examine Wharf2, and if it made the grade, be converted to Wharf

I'd rather have just one. More people will test it and if it doesn't
work we can reverse the changes or fix them.

> Is there a way to send events to FvwmEvent?

"SendToModule FvwmEvent <anything>" will cause the "string" event to
happen but it
ignores the data sent to it. I suppose you could kludge it by setting
the "string"
event to play a certain audio file and FvwmWharf could make that file be
a symlink to whatever sound it wanted before triggering the event. It's
prone to race hazards.

A reliable way woudl be to patch FvwmEvent so that the *FvwmEventPassID
config option would cause the contents of the string to be appended to
the command that FvwmEvent constructs. You could then just send the name
of the audio file.

Cheers,
Tim.